#pragma once

struct Texture;

class LUT {
public:
	Texture* tex = nullptr;

	std::vector<float> data;
	void load_lut(std::string_view path);
	std::vector<SIMDString<>> lut_paths;
	LUT(std::string_view path);

};
